- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity > Class Template Reference

This class is an implementation of a simple double-valued moeoVector. More...

`#include <moeoRealVector.h>`

Inheritance diagram for moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >:

List of all members.

## Public Member Functions
| moeoRealVector (unsigned int _size=0, double _value=0.0)
| Ctor.
virtual std::string | className () const
| Returns the class name as a std::string.

## Detailed Description

### template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>
class moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >

This class is an implementation of a simple double-valued moeoVector.

Definition at line 22 of file moeoRealVector.h.

## Constructor & Destructor Documentation

template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>

moeoRealVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::moeoRealVector | ( | unsigned int | _size = `0`,
|  | double | _value = `0.0` |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _size | Length of vector (default is 0)
  | _value | Initial value of all elements (default is default value of type GeneType)

Definition at line 31 of file moeoRealVector.h.

The documentation for this class was generated from the following file:

- moeoRealVector.h